//
//  ModellAdaptor.java
//  ModellAdaptor
//
//  Created by Abdelatif Nouqrat on Mon Mar 15 2004.
//  Copyright (c) 2004 ilink GmbH. All rights reserved.
//
package de.ilink.jtapi.makecall;

import java.awt.event.*;

import de.ilink.jtapi.makecall.ui.ApplicationPanel;
import de.ilink.jtapi.makecall.ui.StatusBar;

/**
 * This class is the adapter between the GUI and the JTAPIConnection.
 *
 * @see JTAPIConnection 
 * @see ApplicationPanel
 * @see StatusBar
 *
 * @author Abdelatif Nouqrat
 */
public class ModellAdaptor implements ActionListener
{
    private JTAPIConnection fConnection;
    private String fDestination;

	/**
	 * Constructs a adapter with the given JTAPIConnection
	 */
    public ModellAdaptor(JTAPIConnection aConnection)
    {
        fConnection = aConnection;
    }
    
    public void actionPerformed (ActionEvent e)
    {
        String actionCommand = e.getActionCommand();
        
        if (actionCommand == Constants.DIALBUTTON_CLICKED)
        {
			try
			{
				fConnection.makeCall(fDestination);
			}
			catch (Exception ex)
			{
				System.out.println("Could not Call " + fDestination);
			}
        }
		else if (actionCommand == Constants.DROPBUTTON_CLICKED)
		{
			try
			{
				fConnection.drop();
			}
			catch (Exception ex)
			{
				System.out.println("Could not Call " + fDestination);
			}
		}
		else 
		// dialing number changed ...
		{
			fDestination = actionCommand;
		}
    }
}
