package de.ilink.jtapi.makecall.main;
//
//  MakeCall.java
//  MakeCall
//
//  Created by Abdelatif Nouqrat on Wed May 19 2004.
//  Copyright (c) 2004 ilink GmbH. All rights reserved.
//

import java.awt.BorderLayout;
import java.awt.Container;

import javax.swing.JFrame;

import de.ilink.jtapi.makecall.JTAPIConnection;
import de.ilink.jtapi.makecall.ModellAdaptor;
import de.ilink.jtapi.makecall.ui.ApplicationPanel;
import de.ilink.jtapi.makecall.ui.StatusBar;
import de.ilink.jtapi.makecall.utils.ConfigReader;

/**
 * Main class of MakeCallExample. Contains the static main method.
 *
 * @author Abdelatif Nouqrat
 */
public class MakeCallMain {
	/**
	 *  Builds the GUI and starts the JTAPIConnection.
	 *  @see         JTAPIConnection
	 */
	public static void main(String[] args) {
		
		JFrame frame = new JFrame("MakeCall JTAPI Example");
		Container container = frame.getContentPane();
		
		// size
		frame.setSize(500, 80);
		frame.setResizable(false);
		
		container.setLayout(new BorderLayout());
		
		ApplicationPanel panel = new ApplicationPanel();
		container.add(panel, BorderLayout.CENTER);
		
		StatusBar statusBar = new StatusBar("Connecting to TeamCall Server ...");
		container.add(statusBar, BorderLayout.SOUTH);
		
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		// Show the frame
		frame.setVisible(true);
		
		String teamcallProvString = ConfigReader.getInstance().getTeamcallProvString();
		String extensionNr = ConfigReader.getInstance().getExtensionNr();
		
		JTAPIConnection connection = new JTAPIConnection(teamcallProvString);
		
		connection.addPropertyChangeListener(panel);
		connection.addPropertyChangeListener(statusBar);
		
		connection.initializeProvider();
		
		connection.monitorStartForDevice(extensionNr);
		
		ModellAdaptor adaptor = new ModellAdaptor(connection);
		panel.addActionListener(adaptor);
		
	}
}
