//
//  StatusBar.java
//  StatusBar
//
//  Created by Abdelatif Nouqrat on Thu May 13 2004.
//  Copyright (c) 2004 ilink GmbH. All rights reserved.
//
package de.ilink.jtapi.makecall.ui;

import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.Graphics;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import javax.swing.JLabel;
import javax.swing.JPanel;

import de.ilink.jtapi.makecall.Constants;


/**
 * A panel for the status messages.
 *
 * @author Abdelatif Nouqrat
 */
public class StatusBar extends JPanel implements PropertyChangeListener
{
	private JLabel fStatus;
	
	public StatusBar(String aText)
	{		
		setLayout(new FlowLayout(FlowLayout.LEFT));
		fStatus = new JLabel(aText);
		fStatus.setFont(new Font(fStatus.getFont().getName(), fStatus.getFont().getStyle(), fStatus.getFont().getSize() - 2));
		add(fStatus);
	}
	
	public void setStatus(String aStatus)
	{
		fStatus.setText(aStatus);
	}
	
	public String getStatus()
	{
		return fStatus.getText();
	}
	
	public void propertyChange (PropertyChangeEvent e)
	{		
		if (e.getPropertyName().equals(Constants.PROPERTY_NAME_TALKING))
		{
			setStatus("Connecting...");
		}
		else if (e.getPropertyName().equals(Constants.PROPERTY_NAME_DROPPED))
		{
			setStatus("Dropped Connection");
		}
		else if (e.getPropertyName().equals(Constants.PROPERTY_NAME_PROVIDER_IN_SERVICE))
		{
			setStatus("Connected to TeamCall Server");
		}
		else if (e.getPropertyName().equals(Constants.PROPERTY_NAME_ESTABLISHED))
		{
			setStatus("Talking...");
		}
	}
	
	protected void paintComponent(Graphics g)
	{
		super.paintComponent(g);
		
		g.setColor(Color.black);
		g.drawLine(0, 2, getWidth(), 2);
	}	
}
