//
//  ConfigReader.java
//  ConfigReader
//
//  Created by Abdelatif Nouqrat on Wed May 19 2004.
//  Copyright (c) 2004 ilink GmbH. All rights reserved.
//
package de.ilink.jtapi.makecall.utils;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

public class ConfigReader {

	private static final String CONFIG_FILE_NAME = "config.properties";
	
	private Properties fConfigProps;
	
	public static ConfigReader INSTANCE;
	
	private String teamcallProvString;
	private String extensionNr;
	
	public ConfigReader()
	{
		fConfigProps = new Properties();
		
		readConfiguration();
		
	}
	
	public static ConfigReader getInstance()
	{
		return (INSTANCE == null) ? (INSTANCE = new ConfigReader()):INSTANCE;
	}
	
	private void readConfiguration()
	{
		FileInputStream fIs;
		try {
			fIs = new FileInputStream(CONFIG_FILE_NAME);
			fConfigProps.load(fIs);
		} catch (FileNotFoundException e) {
			System.err.println("File not found '" + CONFIG_FILE_NAME + "'");
			System.exit(0);
		} catch (IOException e)
		{
			System.err.println("IOException while reading from file '" + CONFIG_FILE_NAME + "'");
			System.exit(0);
		}
		
		teamcallProvString = fConfigProps.getProperty("teamcallProvider");
		extensionNr = fConfigProps.getProperty("extension");
	}
	
	public String getTeamcallProvString()
	{
		return teamcallProvString;
	}
	
	public String getExtensionNr()
	{
		return extensionNr;
	}
	
}
