package de.ilink.examples;

import javax.swing.*;
import javax.telephony.Provider;

import java.awt.*;
import java.awt.event.*;

/**
 * This class represents the Graphical user interface of the BLF application
 * BLF class allows adding information about the lines 
 * to be monitored into GUI's panel
 * (information such as phonename and phonenumber)
 * @author nouqrat
 */

public class BLF extends JFrame
{
	private Provider fProvider ;
	private JPanel fContentPane = null;

	public BLF(Provider aProvider)
	{
		super("BLF");
		fProvider = aProvider ;

		//Layout the panel 
		fContentPane = new JPanel();
		fContentPane.setLayout(new GridLayout(0, 2));
		setContentPane(fContentPane);

		addWindowListener(new BLFWindowAdaptor());
	}

	/**
	 * addAddress() adds name- and addressName values to the panel
	 * @param aName name of the phone user
	 * @param anAddressName address to be monitored
	 */
	public void addAddress(String aName, String anAddressName)
	{

		JButton button = new JButton(anAddressName);
		button.setEnabled(false);
		JLabel nameLabel = new JLabel(aName);
		nameLabel.setForeground(Color.black);
		nameLabel.setFont(new Font(null, Font.PLAIN, 15));
		fContentPane.add(nameLabel);
		fContentPane.add(button);
		CallListener listener =
			new CallListener(fProvider, anAddressName, button);
	}

	static class BLFWindowAdaptor extends WindowAdapter
	{
		public void windowClosing(WindowEvent e)
		{
			System.exit(0);
		}
	}
}
